---
document: modulemd
version: 2
data:
  name: postgresql
  stream: "15"
  version: 8080020230921120311
  context: 9edba152
  arch: aarch64
  summary: PostgreSQL server and client module
  description: >-
    PostgreSQL is an advanced Object-Relational database management system (DBMS).
    The postgresql-server package contains the programs needed to create and run a
    PostgreSQL server, which will in turn allow you to create and maintain PostgreSQL
    databases. The base postgresql package contains the client programs that you'll
    need to access a PostgreSQL DBMS server.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el8]
    requires:
      platform: [el8]
  references:
    community: https://www.postgresql.org
    documentation: https://www.postgresql.org/docs/15/index.html
    tracker: http://bugzilla.redhat.com
  profiles:
    client:
      rpms:
      - postgresql
    server:
      rpms:
      - postgresql-server
  api:
    rpms:
    - postgresql
    - postgresql-server
  components:
    rpms:
      pg_repack:
        rationale: pg_repack extension
        ref: d109f5b1d4139ec59e52d6def4553e4f614d97b9
        buildorder: 1
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      pgaudit:
        rationale: pgaudit extension
        ref: 216a1f394eb423d49bc98d7d938c1625843b4a56
        buildorder: 1
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      postgres-decoderbufs:
        rationale: postgres-decoderbufs extension
        ref: bcfa6787ae98f17602917ff68f2b71ca9cea6857
        buildorder: 1
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      postgresql:
        rationale: Module API.
        ref: 130405b9e730ebae2f9f4afe7c207d821106f563
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
  artifacts:
    rpms:
    - pg_repack-0:1.4.8-1.module_el8.8.0+3487+43ec1b9f.aarch64
    - pg_repack-0:1.4.8-1.module_el8.8.0+3487+43ec1b9f.src
    - pg_repack-debuginfo-0:1.4.8-1.module_el8.8.0+3487+43ec1b9f.aarch64
    - pg_repack-debugsource-0:1.4.8-1.module_el8.8.0+3487+43ec1b9f.aarch64
    - pgaudit-0:1.7.0-1.module_el8.8.0+3487+43ec1b9f.aarch64
    - pgaudit-0:1.7.0-1.module_el8.8.0+3487+43ec1b9f.src
    - pgaudit-debuginfo-0:1.7.0-1.module_el8.8.0+3487+43ec1b9f.aarch64
    - pgaudit-debugsource-0:1.7.0-1.module_el8.8.0+3487+43ec1b9f.aarch64
    - postgres-decoderbufs-0:1.9.7-1.Final.module_el8.8.0+3487+43ec1b9f.aarch64
    - postgres-decoderbufs-0:1.9.7-1.Final.module_el8.8.0+3487+43ec1b9f.src
    - postgres-decoderbufs-debuginfo-0:1.9.7-1.Final.module_el8.8.0+3487+43ec1b9f.aarch64
    - postgres-decoderbufs-debugsource-0:1.9.7-1.Final.module_el8.8.0+3487+43ec1b9f.aarch64
    - postgresql-0:15.3-1.module_el8.8.0+3610+f1fe5820.aarch64
    - postgresql-0:15.3-1.module_el8.8.0+3610+f1fe5820.src
    - postgresql-contrib-0:15.3-1.module_el8.8.0+3610+f1fe5820.aarch64
    - postgresql-contrib-debuginfo-0:15.3-1.module_el8.8.0+3610+f1fe5820.aarch64
    - postgresql-debuginfo-0:15.3-1.module_el8.8.0+3610+f1fe5820.aarch64
    - postgresql-debugsource-0:15.3-1.module_el8.8.0+3610+f1fe5820.aarch64
    - postgresql-docs-0:15.3-1.module_el8.8.0+3610+f1fe5820.aarch64
    - postgresql-docs-debuginfo-0:15.3-1.module_el8.8.0+3610+f1fe5820.aarch64
    - postgresql-plperl-0:15.3-1.module_el8.8.0+3610+f1fe5820.aarch64
    - postgresql-plperl-debuginfo-0:15.3-1.module_el8.8.0+3610+f1fe5820.aarch64
    - postgresql-plpython3-0:15.3-1.module_el8.8.0+3610+f1fe5820.aarch64
    - postgresql-plpython3-debuginfo-0:15.3-1.module_el8.8.0+3610+f1fe5820.aarch64
    - postgresql-pltcl-0:15.3-1.module_el8.8.0+3610+f1fe5820.aarch64
    - postgresql-pltcl-debuginfo-0:15.3-1.module_el8.8.0+3610+f1fe5820.aarch64
    - postgresql-private-devel-0:15.3-1.module_el8.8.0+3610+f1fe5820.aarch64
    - postgresql-private-libs-0:15.3-1.module_el8.8.0+3610+f1fe5820.aarch64
    - postgresql-private-libs-debuginfo-0:15.3-1.module_el8.8.0+3610+f1fe5820.aarch64
    - postgresql-server-0:15.3-1.module_el8.8.0+3610+f1fe5820.aarch64
    - postgresql-server-debuginfo-0:15.3-1.module_el8.8.0+3610+f1fe5820.aarch64
    - postgresql-server-devel-0:15.3-1.module_el8.8.0+3610+f1fe5820.aarch64
    - postgresql-server-devel-debuginfo-0:15.3-1.module_el8.8.0+3610+f1fe5820.aarch64
    - postgresql-static-0:15.3-1.module_el8.8.0+3610+f1fe5820.aarch64
    - postgresql-test-0:15.3-1.module_el8.8.0+3610+f1fe5820.aarch64
    - postgresql-test-debuginfo-0:15.3-1.module_el8.8.0+3610+f1fe5820.aarch64
    - postgresql-test-rpm-macros-0:15.3-1.module_el8.8.0+3610+f1fe5820.noarch
    - postgresql-upgrade-0:15.3-1.module_el8.8.0+3610+f1fe5820.aarch64
    - postgresql-upgrade-debuginfo-0:15.3-1.module_el8.8.0+3610+f1fe5820.aarch64
    - postgresql-upgrade-devel-0:15.3-1.module_el8.8.0+3610+f1fe5820.aarch64
    - postgresql-upgrade-devel-debuginfo-0:15.3-1.module_el8.8.0+3610+f1fe5820.aarch64
...
---
document: modulemd
version: 2
data:
  name: postgresql-devel
  stream: "15"
  version: 8080020230921120311
  context: 9edba152
  arch: aarch64
  summary: PostgreSQL server and client module
  description: >-
    PostgreSQL is an advanced Object-Relational database management system (DBMS).
    The postgresql-server package contains the programs needed to create and run a
    PostgreSQL server, which will in turn allow you to create and maintain PostgreSQL
    databases. The base postgresql package contains the client programs that you'll
    need to access a PostgreSQL DBMS server.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el8]
    requires:
      platform: [el8]
      postgresql: [15]
  references:
    community: https://www.postgresql.org
    documentation: https://www.postgresql.org/docs/15/index.html
    tracker: http://bugzilla.redhat.com
  profiles:
    client:
      rpms:
      - postgresql
    server:
      rpms:
      - postgresql-server
  api:
    rpms:
    - postgresql
    - postgresql-server
  components:
    rpms:
      pg_repack:
        rationale: pg_repack extension
        ref: d109f5b1d4139ec59e52d6def4553e4f614d97b9
        buildorder: 1
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      pgaudit:
        rationale: pgaudit extension
        ref: 216a1f394eb423d49bc98d7d938c1625843b4a56
        buildorder: 1
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      postgres-decoderbufs:
        rationale: postgres-decoderbufs extension
        ref: bcfa6787ae98f17602917ff68f2b71ca9cea6857
        buildorder: 1
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      postgresql:
        rationale: Module API.
        ref: 130405b9e730ebae2f9f4afe7c207d821106f563
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
...
